SQ-KEY-ATTEST-CERTIFICATIONS(1)

NAME
sq-key-attest-certifications - Attests to third-party certifications allowing for their distribution

To prevent certificate flooding attacks, modern key servers prevent uncontrolled distribution of third-party certifications on certificates. To make the key holder the sovereign over the information over what information is distributed with the certificate, the key holder needs to explicitly attest to third-party certifications.

After the attestation has been created, the certificate has to be distributed, e.g. by uploading it to a keyserver.

SYNOPSIS
sq key attest-certifications [FLAGS] [OPTIONS] [KEY]

FLAGS

-h, --help
    Prints help information

--none
    Removes all prior attestations

--all
    Attests to all certifications [default]

-B, --binary
    Emits binary data

OPTIONS

-o, --output FILE
    Writes to FILE or stdout if omitted

ARGS

KEY Changes attestations on KEY

EXAMPLES

# Attest to all certifications present on the key
    $ sq key attest-certifications juliet.pgp

# Retract prior attestations on the key
    $ sq key attest-certifications --none juliet.pgp

SEE ALSO
For the full documentation see <https://docs.sequoia-pgp.org/sq/>.

sq(1), sq-armor(1), sq-autocrypt(1), sq-certify(1), sq-dearmor(1), sq-decrypt(1), sq-encrypt(1), sq-inspect(1), sq-key(1), sq-key-adopt(1), sq-key-attest-certifications(1), sq-key-extract-cert(1), sq-key-generate(1), sq-keyring(1), sq-keyring-filter(1), sq-keyring-join(1), sq-keyring-list(1), sq-keyring-merge(1), sq-keyring-split(1), sq-packet(1), sq-sign(1), sq-verify(1)

AUTHORS

    Azul <azul@sequoia-pgp.org>
    Igor Matuszewski <igor@sequoia-pgp.org>
    Justus Winter <justus@sequoia-pgp.org>
    Kai Michaelis <kai@sequoia-pgp.org>
    Neal H. Walfield <neal@sequoia-pgp.org>
    Nora Widdecke <nora@sequoia-pgp.org>
    Wiktor Kwapisiewicz <wiktor@sequoia-pgp.org>